UXPLAY(1)

NAME
uxplay-beacon.py - Python (>= 3.6) script for a Bluetooth LE Service-Discovery beacon.

SYNOPSIS
uxplay-beacon.py [ -h, --help] + more options.

DESCRIPTION
UxPlay 1.73: Standalone Python Script for Bluetooth LE Service Discovery (DBus).

OPTIONS

--file fn   Specify configuration file (default: ~/.uxplay.beacon)

--path fn   Specify non-default  Bluetooth LE data file used by uxplay

--ipv4 ip   Override automatically-found ipv4 address for contacting UxPlay

--AdvMin x  Minimum Advertising interval in msecs (>= 100)

--AdvMin y  Maximum Advertising interval in msecs (>= AdvMin, <= 102400)

--index x   Used to distinguish different instances of beacons

-h, --help Show help text.

FILES
Options in configuration file are applied first (command-line options may modify them).

Format:  one option per line, with initial  "--"; lines beginning with "#" ignored.

AUTHORS

Various, see website or distribution.

COPYRIGHT

Various, see website or distribution.  License: GPL v3+:

GNU GPL version 3 or later. (some parts LGPL v.2.1+ or MIT).

SEE ALSO

Website: <https://github.com/FDH2/UxPlay>